package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.platform.bean.SessionUser;
import cn.estsh.i3plus.pojo.platform.bean.TaskTimeRecording;

import java.util.List;

/**
 * @Description : 定时任务执行记录业务接口 
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:44.005
 * @Modify      :
 **/
public interface ITaskTimeRecordingService {

    /**
     * 修改数据
     * @param taskTimeRecording
     */
    void updateTaskTimeRecording(TaskTimeRecording taskTimeRecording);

    /**
     * 根据Key 删除数据
     * @param id
     */
    void deleteTaskTimeRecordingById(String id);

    /**
     * 新增数据
     * @param taskTimeRecording
     * @return
     */
    TaskTimeRecording insertTaskTimeRecording(TaskTimeRecording taskTimeRecording);

    /**
     * 查询所有数据
     * @return
     */
    List<TaskTimeRecording> findTaskTimeRecordingAll();

    /**
     * 根据id 数据
     * @param id
     * @return
     */
    TaskTimeRecording getTaskTimeRecordingById(String id);
}
