package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.platform.bean.LogOperate;

import java.util.List;

/**
 * @Description : 操作日志服务接口
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-25 13:49
 * @Modify :
 **/
public interface ILogOperateService {

    /**
     * 添加操作日志
     * @param logOperate
     * @return
     */
    LogOperate insertLogOperate(LogOperate logOperate);

    /**
     * 查询操作日志
     * @param logOperate
     * @param pager
     * @return
     */
    List<LogOperate> listLogOperate(LogOperate logOperate,Pager pager);

    /**
     * 根据id删除日志
     * @param id
     */
    void deleteLogOperateById(long id);

    /**
     * 批量删除日志
     * @param ids
     */
    void deleteLogOperateByIds(String[] ids);

    /**
     * 根据id查询操作日志
     * @param id
     * @return
     */
    LogOperate getLogOperateById(long id);
}
