package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ILogSystemService;
import cn.estsh.i3plus.pojo.platform.bean.LogSystem;
import cn.estsh.i3plus.pojo.platform.repository.LogSystemRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description : 系统日志服务接口实现
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-25 10:41
 * @Modify :
 **/
@Service
public class LogSystemService implements ILogSystemService {
    public static final Logger LOGGER = LoggerFactory.getLogger(LogSystemService.class);

    @Autowired
    private LogSystemRepository logSystemRDao;

    @Override
    public void insertLogSystem(LogSystem logSystem) {
        LOGGER.info("系统日志 SYS_SYSTEM {}",logSystem);
        logSystemRDao.insert(logSystem);
    }

    @Override
    public void deleteLogSystemById(String id) {
        LOGGER.info("系统日志 SYS_SYSTEM id:{}",id);
        logSystemRDao.deleteById(Long.parseLong(id));
    }

    @Override
    public void updateLogSystem(LogSystem logSystem) {
        LOGGER.info("系统日志 SYS_SYSTEM {}",logSystem);
        //logSystemRDao.update(logSystem);
    }

    @Override
    public List<LogSystem> listLogSystem() {
        LOGGER.info("系统日志 LOG_SYSTEM list");
        //return logSystemRDao.list();
        return null;
    }

    @Override
    public LogSystem getLogSystemById(String id) {
        LOGGER.info("系统日志 LOG_SYSTEM id:{}",id);
        //return logSystemRDao.getById(Long.parseLong(id));
        return null;
    }
}
